Skip to content
POST/{organizationId}/{mandateId}/crm/contacts/groups

Create a contact group

Required permissions:

  • mandate.read

  • contactGroup.insert

Permissions if type is provided:

  • contactGroupType.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

scopestringrequired

Options:

localglobal
namestringoptional

Default: ""

maxLength: 40

descriptionstringoptional

Default: ""

maxLength: 400

typeIdstring | nulloptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/contacts/groups
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/groups' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "scope": "local"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

numberstringrequired

minLength: 1

maxLength: 24

Response

200
{
  "_id": "000000000000000000000001",
  "number": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}